# 期权链行权价

`WS` `request · cmd 21`

该接口用于获取标的的期权链到期日期权标的列表。

```protobuf
message OptionChainDateStrikeInfoRequest {
  string symbol = 1;
  string expiry_date = 2;
}

message OptionChainDateStrikeInfoResponse {
  repeated StrikePriceInfo strike_price_info = 1;
}
```

## Request Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | 标的代码，使用 ticker.region 格式，例如：700.HK |
| `expiry_date` | string | Yes | 期权到期日，使用 YYMMDD 格式，例如：20220429，通过期权到期日接口获取 |

## Response Fields

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `strike_price_info` | object[] | No | 到期日期权标的列表 |
| `└ price` | string | No | 行权价 |
| `└ call_symbol` | string | No | CALL 期权标的代码 |
| `└ put_symbol` | string | No | PUT 期权标的代码 |
| `└ standard` | bool | No | 是否标准期权 |

## Response JSON Example

```json
{
  "strike_price_info": [
    {
      "price": "100",
      "call_symbol": "AAPL220429C100000.US",
      "put_symbol": "AAPL220429P100000.US",
      "standard": true
    }
  ]
}
```
